
Application: gvSIG desktop - gvSIG bugs #67
Load libraries problems
12/13/2011 01:46 PM - Jose Manuel Vivó Arnal

Status: Closed % Done: 100%
Priority: Normal Spent time: 0.00 hour
Assignee: Cesar Ordiñana
Category:
Target version: 2.0.0-alpha3
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2042 Add-on resolve version:
Operative System: Add-on resolve build: 2043
Keywords: library Proyecto:
Has patch: Yes Hito:
Add-on name: unknown
Description

Sometimes, when starts applications fails on Libraries Initialization:

From error.log file:

11:01:18,735 INFO  [db.DBStoreLibrary.postInitialize()]
  PostInitializing library 'org.gvsig.fmap.dal.store.db.DBStoreLibrary'.
Exception in thread "main" Error importing classes from file at line 13 column 60. Can't locate DynClass
'Persistence:DBResourceParameters. Look at the extends tag.
    at org.gvsig.tools.dynobject.impl.DynClassImportHelper.importDynClass(DynClassImportHelper.java:320)
    at org.gvsig.tools.dynobject.impl.DynClassImportHelper.importDefinitions(DynClassImportHelper.java:202)
    at org.gvsig.tools.dynobject.impl.DynClassImportHelper.importDefinitions(DynClassImportHelper.java:107)
    at org.gvsig.tools.dynobject.impl.DefaultDynObjectManager.importDynClassDefinitions(DefaultDynObjectManager.java:628)
    at org.gvsig.tools.persistence.impl.AbstractPersistenceManager.addDefinition(AbstractPersistenceManager.java:364)
    at org.gvsig.fmap.dal.store.db.DBHelper.registerParametersDefinition(DBHelper.java:26)
    at org.gvsig.fmap.dal.store.db.DBStoreLibrary.doPostInitialize(DBStoreLibrary.java:55)
    at org.gvsig.tools.library.AbstractLibrary.postInitialize(AbstractLibrary.java:310)
    at org.gvsig.tools.library.AbstractLibrariesInitializer.initializeLibraries(AbstractLibrariesInitializer.java:197)
    at org.gvsig.tools.library.AbstractLibrariesInitializer.postInitialize(AbstractLibrariesInitializer.java:102)
    at org.gvsig.tools.library.AbstractLibrariesInitializer.postInitialize(AbstractLibrariesInitializer.java:92)
    at org.gvsig.tools.library.AbstractLibrariesInitializer.fullInitialize(AbstractLibrariesInitializer.java:108)
    at org.gvsig.educa.thematicmap.main.Main.main(Main.java:102)

But, other works perfectly (see work.log file).

This appears as a library loading order problems with DAL db project (Library Service order).

Another good thing to do is sort all libraries, always in the same order, before resolve dependencies. This will make early detection of
library loading problems (always fails in the same way or never fails).

History
#1 - 12/13/2011 01:46 PM - Jose Manuel Vivó Arnal
- Description updated
#2 - 12/13/2011 01:46 PM - Jose Manuel Vivó Arnal
- Description updated

#3 - 12/14/2011 06:09 PM - Cesar Ordiñana
- File org.gvsig.tools.lib-Libraries_initialization_error.patch added

Solved with the patch attachment:org.gvsig.tools.lib-Libraries_initialization_error.patch

I have uploaded here just in case, as of now we are not able to perform commits nor deployments.

#4 - 12/14/2011 06:11 PM - Cesar Ordiñana
- Due date set to 12/14/2011
- Status changed from New to In progress
- Assignee set to Cesar Ordiñana
- Start date set to 12/14/2011
- % Done changed from 0 to 90
- Keywords set to library
- Has patch changed from No to Yes

#5 - 12/15/2011 05:10 PM - Cesar Ordiñana
- Due date changed from 12/14/2011 to 12/15/2011
- Status changed from In progress to Fixed
- % Done changed from 90 to 100
- Add-on resolve build set to 2043

Solved in changeset r655

#6 - 12/15/2011 05:32 PM - Cesar Ordiñana

El enlace correcto a la revisión es gvsig-tools:r655

#7 - 01/13/2012 02:57 PM - Joaquín  del Cerro Murciano
- Target version set to 2.0.0-alpha3

#8 - 02/26/2014 12:36 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
error.log 26.9 KB 12/13/2011 Jose Manuel Vivó Arnal
work.log 34.4 KB 12/13/2011 Jose Manuel Vivó Arnal
org.gvsig.tools.lib-Libraries_initialization_error.patch 16 KB 12/14/2011 Cesar Ordiñana
